org.restlet.data

## Class Encoding

- java.lang.Object
- - org.restlet.data.Metadata
  - - org.restlet.data.Encoding

    public final class Encoding
    extends Metadata

Modifier of a representation's media type. Useful to apply compression without losing the identity of the underlying media type.

Author:
  Jerome Louvel

### Field Summary

Fields
`static Encoding` `ALL` All encodings acceptable.
`static Encoding` `COMPRESS` The common Unix file compression.
`static Encoding` `DEFLATE` The zlib format defined by RFC 1950 and 1951.
`static Encoding` `FREEMARKER` The FreeMarker encoding.
`static Encoding` `GZIP` The GNU Zip encoding.
`static Encoding` `IDENTITY` The default (identity) encoding.
`static Encoding` `VELOCITY` The Velocity encoding.
`static Encoding` `ZIP` The Info-Zip encoding.

### Constructor Summary

Constructors
Constructor and Description
`Encoding(java.lang.String name)` Constructor.
`Encoding(java.lang.String name, java.lang.String description)` Constructor.

### Method Summary

Methods
`boolean` `equals(java.lang.Object object)`
`Metadata` `getParent()` Returns the parent metadata if available or null.
`int` `hashCode()`
`boolean` `includes(Metadata included)` Indicates if a given encoding is included in the current one.
`static Encoding` `valueOf(java.lang.String name)` Returns the encoding associated to a name.

### Methods inherited from class org.restlet.data.Metadata

`getDescription, getName, isCompatible, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ALL

    public static final Encoding ALL

All encodings acceptable.

#### COMPRESS

    public static final Encoding COMPRESS

The common Unix file compression.

#### DEFLATE

    public static final Encoding DEFLATE

The zlib format defined by RFC 1950 and 1951.

#### FREEMARKER

    public static final Encoding FREEMARKER

The FreeMarker encoding.

#### GZIP

    public static final Encoding GZIP

The GNU Zip encoding.

#### IDENTITY

    public static final Encoding IDENTITY

The default (identity) encoding.

#### VELOCITY

    public static final Encoding VELOCITY

The Velocity encoding.

#### ZIP

    public static final Encoding ZIP

The Info-Zip encoding.

### Constructor Detail

#### Encoding

    public Encoding(java.lang.String name)

Constructor.

Parameters:
  `name` - The name.

#### Encoding

    public Encoding(java.lang.String name,
            java.lang.String description)

Constructor.

Parameters:
  `name` - The name.
  `description` - The description.

### Method Detail

#### valueOf

    public static Encoding valueOf(java.lang.String name)

Returns the encoding associated to a name. If an existing constant exists then it is returned, otherwise a new instance is created.

Parameters:
  `name` - The name.
Returns:
  The associated encoding.

#### equals

    public boolean equals(java.lang.Object object)

Overrides:
  `equals` in class `Metadata`

#### getParent

    public Metadata getParent()

Description copied from class: `Metadata`
Returns the parent metadata if available or null.

Specified by:
  `getParent` in class `Metadata`
Returns:
  The parent metadata.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Metadata`

#### includes

    public boolean includes(Metadata included)

Indicates if a given encoding is included in the current one. The test is true if both encodings are equal or if the given encoding is within the range of the current one. For example, ALL includes all encodings. A null encoding is considered as included into the current one.

Examples:

- ALL.includes(COMPRESS) -> true
- COMPRESS.includes(ALL) -> false

Specified by:
  `includes` in class `Metadata`
Parameters:
  `included` - The encoding to test for inclusion.
Returns:
  True if the given encoding is included in the current one.
See Also:
  `Metadata.isCompatible(Metadata)`